Subject: Re: [PATCHv2] Update gitworkflows man page to include release workflow

From: Raman Gupta <[email-masked]>
Date: Wed, 11 Nov 2009 10:23:26 -0500

Thiago Farina wrote:
> Hi,
> 
> On Tue, Nov 10, 2009 at 2:08 PM,  <[email-masked]> wrote:
>> From: Raman Gupta <[email-masked]>
>>
>> The gitworkflows man page currently provides an overview of the workflows
>> used by git.git itself to serve as inspiration for people to use when
>> designing their own workflows. The current man page does a reasonable
>> job at describing the development process, but it does not contain any
>> guidance as to the workflow used for releases. Now add a basic
>> introduction to the branch management required for a release, so that a
>> reader may understand how the maint, master, next, and topic branches are
>> affected.
> Here
> http://git.kernel.org/?p=git/git.git;a=blob;f=Checklist.txt;h=37745f39487537117fb7f3a9a6f5b8e7d989a884;hb=refs/heads/todo
> there is a release checklist, maybe you could extend your patch to
> include more information from this?

Most of the checklist is specific to the git infrastructure rather
than git branch management. The latter is the focus of the
gitworkflows man page. The relevant items from checklist.txt (e.g.
merge 'maint' to 'master') are already included in the patch.

Cheers,
Raman